---
title: WWW-Authenticate
slug: Web/HTTP/Headers/WWW-Authenticate
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Response Header
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>WWW-Authenticate</code></strong> response header defines the authentication method that should be used to gain access to a resource.</p>

<p>The <code>WWW-Authenticate</code> header is sent along with a {{HTTPStatus("401")}} <code>Unauthorized</code> response.</p>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Header type</th>
			<td>{{Glossary("Response header")}}</td>
		</tr>
		<tr>
			<th scope="row">{{Glossary("Forbidden header name")}}</th>
			<td>no</td>
		</tr>
	</tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">WWW-Authenticate: &lt;type&gt; realm=&lt;realm&gt;[, charset="UTF-8"]
</pre>

<h2 id="Directives">Directives</h2>

<dl>
	<dt>&lt;type&gt;</dt>
	<dd><a href="/en-US/docs/Web/HTTP/Authentication#Authentication_schemes">Authentication type</a>. A common type is <a href="/en-US/docs/Web/HTTP/Authentication#Basic_authentication_scheme">"Basic"</a>. IANA maintains a <a href="http://www.iana.org/assignments/http-authschemes/http-authschemes.xhtml">list of Authentication schemes</a>.</dd>
	<dt>realm=&lt;realm&gt;</dt>
	<dd>A description of the protected area. If no realm is specified, clients often display a formatted hostname instead.</dd>
	<dt>charset=&lt;charset&gt;</dt>
	<dd>Tells the client the server's prefered encoding scheme when submitting a username and password. The only allowed value is the case insensitive string "UTF-8". This does not relate to the encoding of the realm string.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Typically, a server response contains a <code>WWW-Authenticate</code> header that looks like this:</p>

<pre class="notranslate">WWW-Authenticate: Basic realm="Access to the staging site", charset="UTF-8"
</pre>

<p>See also <a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a> for examples on how to configure Apache or nginx servers to password protect your site with HTTP basic authentication.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Title</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{RFC("7235", "WWW-Authenticate", "4.1")}}</td>
			<td>HTTP/1.1: Authentication</td>
		</tr>
		<tr>
			<td>{{RFC("7617")}}</td>
			<td>The 'Basic' HTTP Authentication Scheme</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.WWW-Authenticate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a></li>
	<li>{{HTTPHeader("Authorization")}}</li>
	<li>{{HTTPHeader("Proxy-Authorization")}}</li>
	<li>{{HTTPHeader("Proxy-Authenticate")}}</li>
	<li>{{HTTPStatus("401")}}, {{HTTPStatus("403")}}, {{HTTPStatus("407")}}</li>
</ul>
